package com.yfd.monitor.media.event.media;


import com.yfd.monitor.media.zlm.dto.MediaServerItem;
import org.springframework.context.ApplicationEvent;

/**
 * 流到来事件
 */
public class MediaEvent extends ApplicationEvent {

    public MediaEvent(Object source) {
        super(source);
    }

    private String app;

    private String stream;

    private MediaServerItem mediaServer;

    private String schema;


    public String getApp() {
        return app;
    }

    public void setApp(String app) {
        this.app = app;
    }

    public String getStream() {
        return stream;
    }

    public void setStream(String stream) {
        this.stream = stream;
    }

    public MediaServerItem getMediaServer() {
        return mediaServer;
    }

    public void setMediaServer(MediaServerItem mediaServer) {
        this.mediaServer = mediaServer;
    }

    public String getSchema() {
        return schema;
    }

    public void setSchema(String schema) {
        this.schema = schema;
    }

}
