package com.yfd.platform.component.voiceserver;

import lombok.Data;

@Data
public class VoicePacket {
    private String head; // 4 bytes
    private byte version; // 1 byte
    private int size; // 4 bytes
    private long timestamp; // 8 bytes
    private byte[] basicInfo; // 6 bytes
    private byte[] id; // 6 bytes
    private byte[] firmware; // 3 bytes
    private byte hardware; // 1 byte
    private short protocol; // 2 bytes
    private byte[] flag; // 3 bytes
    private DataGroup dataGroup; // n bytes
    private short crc; // 2 bytes
    private byte end; // 1 byte

    // Getters and Setters
}

