package com.yfd.platform.modules.algorithm.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Date: 2025/5/14 10:19
 * @Description: 算法分类和参数请求对象
 */
@Data
@ApiModel("算法分类和参数请求对象")
public class AlgorithmParamsRequest {

    @ApiModelProperty("算法分类对象")
    private AlgorithmClass algorithmClass;
    @ApiModelProperty("算法分类参数集合")
    private List<AlgorithmParams> algorithmParamsList;
}
