package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_voice_patrol_log")
public class VoicePatrolLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 变电站id
     */
    private String stationId;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 变电站编码
     */
    private String stationCode;

    /**
     * 巡视设备编号
     */
    private String patroldeviceCode;

    /**
     * 巡视设备名称
     */
    private String patroldeviceName;

    /**
     * 巡视设备id
     */
    private String patroldeviceId;

    /**
     * 巡视点位id
     */
    private String deviceId;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件完整路径
     */
    private String filePath;

    /**
     * 采集时长，单位：秒
     */
    private String duration;

    /**
     * 录制时长
     */
    private String date;


}
