package com.yfd.platform.modules.basedata.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.basedata.domain.SubstationComponent;

import java.util.Map;

/**
 * <p>
 * 变电站_设备部件 Mapper 接口
 * </p>
 *
 *
 * @since 2023-03-28
 */
public interface SubstationComponentMapper extends BaseMapper<SubstationComponent> {

    Page<Map<String, Object>> getComponentByBayPage(Page<Map<String, Object>> page, String algorithmId, String stationCode, String areaId, String bayId, String mainDeviceId, String componentName);

}
