package com.yfd.platform.modules.patroltask.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.patroltask.domain.DefectDevice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zhengsl
 * @since 2024-03-28
 */
public interface DefectDeviceMapper extends BaseMapper<DefectDevice> {

    Page<Map<String, Object>> getDefectDeviceList(Page<Map<String, Object>> page, String stationCode, String areaId, String bayId, String taskName, String deviceName, String patroldeviceName, String componentName, String recognitionType, String isDefectFlag, String startDate, String endDate);

}
