package com.yfd.platform.modules.robotapi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author zhengsl
 * @since 2024-06-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_robot_run_log")
public class RobotRunLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 报文类型
     */
    private String type;

    /**
     * 报文指令
     */
    private String command;

    /**
     * 编码
     */
    private String code;

    /**
     * 报文内容
     */
    private String xmlContent;

    /**
     * 上报时间
     */
    private LocalDateTime reportTime;

    /**
     * 巡视设备唯一标识
     */
    private String robotCode;

    /**
     * 巡视系统唯一标识
     */
    private String patrolServerCode;

}
