package com.yfd.platform.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yfd.platform.system.domain.SysDictionaryItems;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 数据字典明细 Mapper 接口
 * </p>
 *
 *
 * @since 2023-03-08
 */
public interface SysDictionaryItemsMapper extends BaseMapper<SysDictionaryItems> {
    List<SysDictionaryItems> getDictItemByType(String dictcode, String alarmType);

    Map<String, Object> getDeviceMapByType(String dictcode);
}
