import request from '@/utils/request';
//获取算法分类
export function getAlgorithmClassList (queryParams:any){
    return request({
      url: '/algorithm/algorithm-class/getAlgorithmClassList' ,
      method: 'get',
      params:queryParams
    });
  }
//保存算法分类和算法参数
export function addAlgorithmClassAndParams (queryParams:any){
  return request({
    url: '/algorithm/algorithm-class/addAlgorithmClassAndParams' ,
    method: 'post',
    data:queryParams
  });
}
//查询算法参数
export function getAlgorithmParamsList (queryParams:any){
  return request({
    url: '/algorithm/algorithm-params/getAlgorithmParamsList' ,
    method: 'get',
    params:queryParams
  });
}
//删除算法分类
export function deleteAlgorithmClass (queryParams:any){
  return request({
    url: '/algorithm/algorithm-class/deleteAlgorithmClass' ,
    method: 'post',
    params:queryParams
  });
}
//获取变电站下的区域
export function getSubstationAreaByCode (queryParams:any){
  return request({
    url: '/basedata/substation/getSubstationAreaByCode' ,
    method: 'get',
    params:queryParams
  });
}
//获取区域下所有间隔
export function getSubstationBayByArea (queryParams:any){
  return request({
    url: '/basedata/substation/getSubstationBayByArea' ,
    method: 'get',
    params:queryParams
  });
}
//根据条件获取部件(分页)
export function getComponentPage (queryParams:any){
  return request({
    url: '/basedata/substation-maindevice/getComponentPage' ,
    method: 'post',
    params:queryParams
  });
}
//算法关联主设备部件
export function getAlgorithmClassComponentPage (queryParams:any){
  return request({
    url: '/algorithm/algorithm-class-component/getAlgorithmClassComponentPage' ,
    method: 'get',
    params:queryParams
  });
}
//新增算法关联主设备部件
export function batchAddAlgorithmClassComponent (queryParams:any){
  return request({
    url: '/algorithm/algorithm-class-component/batchAddAlgorithmClassComponent' ,
    method: 'post',
    data:queryParams
  });
}
//获取间隔下的主设备
export function getSubstationMaindeviceList (queryParams:any){
  return request({
    url: '/basedata/substation/getSubstationMaindeviceList' ,
    method: 'get',
    params:queryParams
  });
}
//删除算法关联主设备部件
export function deleteAlgorithmClassComponent (queryParams:any){
  return request({
    url: '/algorithm/algorithm-class-component/deleteAlgorithmClassComponent' ,
    method: 'post',
    params:queryParams
  });
}
//批量新增算法分类部件点位关联数据
export function batchAddAlgorithmDevice (queryParams:any){
  return request({
    url: '/algorithm/algorithm-device/batchAddAlgorithmDevice' ,
    method: 'post',
    data:queryParams
  });
}