package com.yfd.platform.component.iec104.server.master;

import com.yfd.platform.component.iec104.core.ScheduledTaskPool;
import io.netty.channel.Channel;
import io.netty.channel.EventLoopGroup;

/**
 * 	建立channel保存多客户端BootNettyClientChannel
 */
public class BootNettyClientChannel {

    //	连接客户端唯一的code
    private String code;

    //	客户端最新发送的消息内容
    private String last_data;

    private transient volatile Channel channel;

    //	连接客户端资源组
    private transient volatile EventLoopGroup group;

    private transient volatile ScheduledTaskPool scheduledTaskPool;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Channel getChannel() {
        return channel;
    }

    public void setChannel(Channel channel) {
        this.channel = channel;
    }

    public EventLoopGroup getGroup() {
        return group;
    }
    public void setGroup(EventLoopGroup group) {
        this.group = group;
    }

    public ScheduledTaskPool getScheduledTaskPool() {
        return scheduledTaskPool;
    }
    public void setScheduledTaskPool(ScheduledTaskPool scheduledTaskPool) {
        this.scheduledTaskPool = scheduledTaskPool;
    }

    public String getLast_data() {
        return last_data;
    }

    public void setLast_data(String last_data) {
        this.last_data = last_data;
    }
}
