package com.yfd.platform.modules.algorithm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 算法分类
 * </p>
 *
 * @author zhengsl
 * @since 2025-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_algorithm_class")
@ApiModel("算法分类")
public class AlgorithmClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 算法分类id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty("算法分类id")
    private String id;

    /**
     * 算法分类编号
     */
    @ApiModelProperty("算法分类编号")
    private String algorithmClassCode;

    /**
     * 算法分类名称
     */
    @ApiModelProperty("算法分类名称")
    private String algorithmClassName;

    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String description;

    /**
     * 服务地址
     */
    @ApiModelProperty("服务地址")
    private String serviceAddress;


}
