package com.yfd.platform.modules.algorithm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author zhengsl
 * @since 2025-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_algorithm_class_component")
@ApiModel("算法分类部件")
public class AlgorithmClassComponent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty("算法分类部件id")
    private String id;

    /**
     * 算法分类id
     */
    @ApiModelProperty("算法分类id")
    private String algorithmId;

    /**
     * 变电站编号
     */
    @ApiModelProperty("变电站编号")
    private String stationCode;

    /**
     * 变电站名称
     */
    @ApiModelProperty("变电站名称")
    private String stationName;

    /**
     * 区域id
     */
    @ApiModelProperty("区域id")
    private String areaId;

    /**
     * 区域名称
     */
    @ApiModelProperty("区域名称")
    private String areaName;

    /**
     * 间隔id
     */
    @ApiModelProperty("间隔id")
    private String bayId;

    /**
     * 间隔名称
     */
    @ApiModelProperty("间隔名称")
    private String bayName;

    /**
     * 主设备id
     */
    @ApiModelProperty("主设备id")
    private String mainDeviceId;

    /**
     * 主设备类型
     */
    @ApiModelProperty("主设备类型")
    private String deviceType;

    /**
     * 主设备名称
     */
    @ApiModelProperty("主设备名称")
    private String mainDeviceName;

    /**
     * 部件id
     */
    @ApiModelProperty("部件id")
    private String componentId;

    /**
     * 部件名称
     */
    @ApiModelProperty("部件名称")
    private String componentName;


}
