package com.yfd.platform.modules.algorithm.mapper;

import com.yfd.platform.modules.algorithm.domain.AlgorithmDevice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zhengsl
 * @since 2025-05-13
 */
public interface AlgorithmDeviceMapper extends BaseMapper<AlgorithmDevice> {

    /**********************************
     * 用途说明: 查询算法部件的参数
     * 参数说明 algorithmId 算法分类Id
     * 参数说明 componentId 部件id
     * 返回值说明: java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     ***********************************/
    List<Map<String, Object>> getAlgorithmDeviceParams(String algorithmId, String componentId);

    List<Map<String, Object>> getAlgorithmDeviceType(String algorithmId, String componentId);
}
