package com.yfd.platform.modules.auxcontrol.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Date: 2025/5/15 9:45
 * @Description:
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel("模拟辅控数据")
public class AnalogData {

    /**
     * 协议
     */
    @ApiModelProperty("协议；IEC61850，IEC104")
    private String from;

    /**
     * 信号类型
     */
    @ApiModelProperty("信号类型")
    private String type;

    /**
     * 网关机ip
     */
    @ApiModelProperty("网关机ip")
    private String slaveIp;

    /**
     * 信号唯一地址
     */
    @ApiModelProperty("信号唯一地址")
    private String address;

    /**
     * 信号值
     */
    @ApiModelProperty("信号值")
    private String value;
}
