package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zhengsl
 * @since 2024-05-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_algorithm_manufacturer_version")
public class AlgorithmManufacturerVersion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 算法厂商
     */
    private String algorithmManufacturer;

    /**
     * 版本ID
     */
    private String version;

    /**
     * 该版本记录时间
     */
    private String recordTime;

    /**
     * 模型应用场景、评价指标等描	述
     */
    private String modelDesc;


}
