package com.yfd.platform.modules.basedata.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.basedata.domain.SubstationPatroldevice;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 变电站_巡视设备 Mapper 接口
 * </p>
 *
 *
 * @since 2023-03-28
 */
public interface SubstationPatroldeviceMapper extends BaseMapper<SubstationPatroldevice> {

    Page<Map<String, Object>> getCameraStat(Page<Map<String, Object>> page, String stationId, String patrolDeviceName, String channel, String flag);

    List<Map<String, Object>> getCameraStatReport(String stationCode);

    List<Map<String, Object>> getDockInfoBySn(String dockSn);
}
