package com.yfd.platform.modules.basedata.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yfd.platform.modules.basedata.domain.WeatherLog;

import java.util.Map;

/**
 * <p>
 * 微气象数据日志表 服务类
 * </p>
 *
 *
 * @since 2023-04-27
 */
public interface IWeatherLogService extends IService<WeatherLog> {

    /**********************************
    * 用途说明: 查询环境信息
    * 参数说明 stationId
    * 返回值说明: java.util.Map<java.lang.String,java.lang.Object>
    ***********************************/
    Map<String, Object> getWeatherLogList(String stationId);
}
