package com.yfd.platform.modules.robotapi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author zhengsl
 * @since 2024-06-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_robot_offline_log")
public class RobotOfflineLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * guid
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 离线开始时间
     */
    private LocalDateTime offlineStartTime;

    /**
     * 巡视设备唯一标识
     */
    private String robotCode;

    /**
     * 巡视系统唯一标识
     */
    private String patrolServerCode;

    /**
     * 累计离线次数，自增
     */
    private String offlineSum;

    /**
     * 离线结束时间
     */
    private LocalDateTime offlineEndTime;


}
