package com.yfd.platform.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 系统角色摄像头对照
 * </p>
 *
 *
 * @since 2023-04-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_role_patroldevice")
public class RolePatroldevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 角色id
     */
    private String roleid;

    /**
     * 摄像头配置
     */
    private String deviceid;


}
