package com.yfd.platform.uavsystem.data;

import lombok.Data;

/**
 * @Description
 * @ClassName AccessTokenModel
 * @Author wangchao
 * @Date 2022/9/6 9:51
 * 从南瑞获取Token的返回实体类
 *
        {
            access_token": "ewogICJhbGciIDogIkhTMjU2Igp9.ewogICJpc3MiIDogImYzMDhhYjliMzM4NTExZ
            WE4Y2I3MDIyMDczYTg2YmM1IiwKICAic3ViIiA6ICJmMzA4YWI5YjMzODUxMWVhOGNiNzAyMjA3M2E4NmJjNSIsCiAgI
            mlhdCIgOiAxNTg3NTQ0ODY4MDIyLAogICJleHAiIDogNzIwMCwKICAianRpIiA6IDEyMwp9.OJcZZvgiSPNZw9h/vh30
            SY63CnKXjb+U1Q70tWLSL/w=",
            "refresh_token": "In+ooxlwIYEIiaCiK7WMivisBjo63n/cjDwG9DraELoQyo1ANJr9UxvqklIaMXWK"
            ,
            "expires_in": 7200
        }

        access_token 访问中台服务用到的 token， 用 x-token 作为 key 放入请求头中
        refresh_token 刷新 token
        expires_in 有效时间

 */
@Data
public class AccessTokenModel {
    //访问中台服务用到的 token， 用 x-token 作为 key 放入请求头中
    private String access_token;
    //刷新 token
    private String refresh_token;
    //有效时间
    private Long expires_in;

}
