package com.yfd.platform.uavsystem.service;



import com.yfd.platform.uavsystem.data.AccessTokenModel;
import com.yfd.platform.uavsystem.enums.WMCenterUrlEnum;

import javax.servlet.http.HttpServletResponse;
import java.util.Map;


public interface MiddlePlatformService {

    /**
     * <p>
     * 查询操作
     * </p>
     *
     * @param url  调用url
     * @param json 新增参数
     * @return {@link String} 返回结果
     * @Author hu shi hua
     * @date 2024/3/15 15:18
     * @version 1.0.0
     */
    Object queryOperate(WMCenterUrlEnum url, Map<String, Object> json);


    /**
     * <p>
     * 新增、修改、查看操作
     * </p>
     *
     * @param url  调用url
     * @param json 新增参数
     * @return {@link String} 返回结果
     * @Author hu shi hua
     * @date 2024/3/15 15:13
     * @version 1.0.0
     */
    Object addOrEditOrShowOperate(WMCenterUrlEnum url, Map<String, Object> json);

    void downloadFile(WMCenterUrlEnum urlEnum, Object data, HttpServletResponse response);
}
